Cemu - Bug #329

DSUCIlient Motion Controls Bug
05/03/2020 10:01 PM - Zrego

Status: Resolved Start date: 05/03/2020
Priority: Normal

Assignee: Petergov

Category: Input

API: GPU Vendor/Model:

Cemu Version: 1.18.2¢c

Description

When using DSUClient, motion controls don't work properly as it should, in my case i'm using a DS4 with Ryochan7's DS4Windows. |

provided 2 videos to illustrate the bug.

Case 1: The camera rune gets weird when aim with motion controls is turned on, | didn't even move DS4.
Case 2: | couldn't flip the apparatus upside down like how people easily solve this puzzle.

Both cases weren't like this if | used Cemuhook's motion protocol. Bow/weapon aiming works normally with Cemu's DSUClient

however. Thanks

History

#1 - 05/15/2020 09:46 PM - gmsalomao2

Zrego wrote:

When using DSUCIient, motion controls don't work properly as it should, in my case i'm using a DS4 with Ryochan7's DS4Windows. | provided 2

videos to illustrate the bug.

Case 1: The camera rune gets weird when aim with motion controls is turned on, | didn't even move DS4.
Case 2: | couldn't flip the apparatus upside down like how people easily solve this puzzle.

Both cases weren't like this if | used Cemuhook's motion protocol. Bow/weapon aiming works normally with Cemu's DSUClIient however. Thanks

More people are experiencing this bug too. I've tested with Android phone (using 2 different methods). It looks like there's an axis missing. | couldn't
solve the same Shrine you showed on your video. Had to use Cemuhook + joystick motion emulation.

| also used PadTest to see if the problem was my phone or my pc. But PadTest perfectly received the input.

Zrego wrote:

When using DSUClient, motion controls don't work properly as it should, in my case i'm using a DS4 with Ryochan7's DS4Windows. | provided 2

videos to illustrate the bug.

Case 1: The camera rune gets weird when aim with motion controls is turned on, | didn't even move DS4.
Case 2: | couldn't flip the apparatus upside down like how people easily solve this puzzle.

Both cases weren't like this if | used Cemuhook's motion protocol. Bow/weapon aiming works normally with Cemu's DSUCIient however. Thanks

#2 - 04/11/2021 08:23 PM - Serfrost

- Status changed from New to Accepted

#3 - 07/03/2021 06:16 AM - Exzap

- Status changed from Accepted to Resolved

Cemu 1.24.0 comes with reworked motion controls. This should be fixed.

Files

case 1.mp4 4.22 MB 05/03/2020 Zrego

case 2.mp4 4.39 MB 05/03/2020 Zrego
